Loading...
Searching...
No Matches
IterativeSolver.h File Reference

Some support classes for iterative solvers. More...

Go to the source code of this file.

## Classes

class | gtsam::IterativeOptimizationParameters
| parameters for iterative linear solvers More...
class | gtsam::IterativeSolver
| Base class for Iterative Solvers like SubgraphSolver. More...
struct | gtsam::KeyInfoEntry
| Handy data structure for iterative solvers key to (index, dimension, start). More...
class | gtsam::KeyInfo
| Handy data structure for iterative solvers. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Detailed Description

Some support classes for iterative solvers.

Date
  2010

Author
  Yong-Dian Jian